#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/xattr.conf.new
( cd lib64 ; rm -rf libattr.so.1 )
( cd lib64 ; ln -sf libattr.so.1.1.2448 libattr.so.1 )
( cd usr/lib64 ; rm -rf libattr.so )
( cd usr/lib64 ; ln -sf libattr.so.1.1.2448 libattr.so )
( cd usr/lib64 ; rm -rf libattr.so.1 )
( cd usr/lib64 ; ln -sf libattr.so.1.1.2448 libattr.so.1 )
( cd usr/lib64 ; rm -rf libattr.so.1.1.2448 )
( cd usr/lib64 ; ln -sf ../../lib64/libattr.so.1.1.2448 libattr.so.1.1.2448 )
( cd usr/man/man3 ; rm -rf attr_getf.3.gz )
( cd usr/man/man3 ; ln -sf attr_get.3.gz attr_getf.3.gz )
( cd usr/man/man3 ; rm -rf attr_listf.3.gz )
( cd usr/man/man3 ; ln -sf attr_list.3.gz attr_listf.3.gz )
( cd usr/man/man3 ; rm -rf attr_multif.3.gz )
( cd usr/man/man3 ; ln -sf attr_multi.3.gz attr_multif.3.gz )
( cd usr/man/man3 ; rm -rf attr_removef.3.gz )
( cd usr/man/man3 ; ln -sf attr_remove.3.gz attr_removef.3.gz )
( cd usr/man/man3 ; rm -rf attr_setf.3.gz )
( cd usr/man/man3 ; ln -sf attr_set.3.gz attr_setf.3.gz )
